Subject: Re: [Last-Call] Last Call: <draft-ietf-cose-rfc8152bis-algs-08.txt> (CBOR Object Signing and Encryption (COSE): Initial Algorithms) to Informational RFC

From: tom petch <[email-masked]>
Date: Fri, 22 May 2020 10:25:34 +0100

This I-D obsoletes RFC8152, which set up the IANA Registry 'COSE
Algorithms', and adds a new column to the registry but otherwise
contains no details thereof so that, in future, a user will need to
study the obsoleted RFC8152 and this I-D to understand the specification
of the registry.

In fact, it is more complicated than that since RFC8152 defines the
permitted values in a column while the Informational I-D
draft-ietf-cose-hash-algs, currently in IETF Last Call, introduces a new
permitted value 'Filter Only '; to me, this is an update to RFC8152 (the
author disagrees), obsolete or not.  A future user wanting to understand
the registry will need to look at
- the obsoleted RFC8152
- this obsoleting I-D
- the informational draft-ietf-cose-hash-algs

Could be simpler for a future user.

Tom Petch

> ----- Original Message -----
> From: <[email-masked]>
> To: <IETF-Announce>
> Cc: <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> Sent: Friday, May 15, 2020 2:35 PM
>
>> The IESG has received a request from the CBOR Object Signing and
> Encryption
>> WG (cose) to consider the following document: - 'CBOR Object Signing
> and
>> Encryption (COSE): Initial Algorithms'
>>    <draft-ietf-cose-rfc8152bis-algs-08.txt> as Informational RFC
>>
>> The IESG plans to make a decision in the next few weeks, and solicits
> final
>> comments on this action. Please send substantive comments to the
>> [email-masked] mailing lists by 2020-05-29. Exceptionally,
> comments may
>> be sent to [email-masked] instead. In either case, please retain the
> beginning
>> of the Subject line to allow automated sorting.
>>
>> Abstract
>>
>>
>>     Concise Binary Object Representation (CBOR) is a data format
> designed
>>     for small code size and small message size.  There is a need for
> the
>>     ability to have basic security services defined for this data
> format.
>>     This document defines the CBOR Object Signing and Encryption (COSE)
>>     protocol.  This specification describes how to create and process
>>     signatures, message authentication codes, and encryption using CBOR
>>     for serialization.  COSE additionally describes how to represent
>>     cryptographic keys using CBOR.
>>
>>     In this specification the conventions for the use of a number of
>>     cryptographic algorithms with COSE.  The details of the structure
> of
>>     COSE are defined in [I-D.ietf-cose-rfc8152bis-struct].
>>
>>     This document along with [I-D.ietf-cose-rfc8152bis-struct]
> obsoletes
>>     RFC8152.
>>
>> The file can be obtained via
>> https://datatracker.ietf.org/doc/draft-ietf-cose-rfc8152bis-algs/
>>
>> No IPR declarations have been submitted directly on this I-D.
>>
>> _______________________________________________
>> IETF-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ietf-announce
>> .